CRL2PKCS7(1SSL)

NOM
crl2pkcs7 - Création d'une structure PKCS#7 à partir d'une CRL et de certificats.

SYNOPSIS
openssl crl2pkcs7 [-inform PEM|DER] [-outform PEM|DER] [-in nom_fichier] [-out nom_fichier] [-certfile nom_fichier] [-nocrl]

DESCRIPTION
La commande crl2pkcs7 prend une CRL optionnelle ainsi qu'un ou plusieurs certificats et effectue la conversion vers une structure PKCS#7 dégradée ne contenant que des certificats.

OPTIONS DE LA COMMANDE

-inform DER|PEM
    Cela indique le format d'entrée de la CRL. Le format DER est une CRL encodée en utilisant une structure DER. PEM (par défaut) est une version encodée en base64 de la forme DER avec des lignes au début et à la fin.

-outform DER|PEM
    Cela indique le format de sortie de la structure PKCS#7. Le format DER est une CRL encodée utilisant une structure DER. PEM (par défaut) est une version encodée en base64 de la forme DER avec des lignes au début et à la fin.

-in nom_fichier
    Cela indique le fichier d'entrée contenant une CRL. Par défaut l'entrée standard est lue.

-out nom_fichier
    Cela indique le fichier de sortie où la structure PKCS#7 sera écrite. Par défaut elle est écrite sur la sortie standard.

-certfile nom_fichier
    Cela indique un nom de fichier contenant un ou plusieurs certificats au format PEM. Tous les certificats du fichier seront ajoutés à la structure PKCS#7. Cette option peut paraître à plusieurs reprises afin de prendre en compte plusieurs fichiers.

-nocrl
    Normalement, une CRL est incluse dans le fichier de sortie. Avec cette option, aucune CRL ne sera produite dans le fichier de sortie, et aucune CRL ne sera lue dans le fichier d'entrée.

EXEMPLES
Créer une structure PKCS#7 à partir d'une CRL et d'un certificat :

 openssl crl2pkcs7 -in crl.pem -certfile cert.pem -out p7.pem

Créer une structure PKCS#7 au format DER sans CRL à partir de plusieurs certificats différents :

 openssl crl2pkcs7 -nocrl -certfile newcert.pem
        -certfile demoCA/cacert.pem -outform DER -out p7.der

NOTES
Le fichier de sortie est une structure de données PKCS#7 signée sans signataire, contenant uniquement des certificats et éventuellement une CRL.

Cet utilitaire peut servir à envoyer des certificats et CA à Netscape comme partie d'un processus d'inscription de certificats. Cela implique l'envoi de la sortie encodée DER comme type MIME application/x-x509-user-cert.

La forme encodée PEM, dépouillée des lignes de début et de fin, peut servir à installer des certificats utilisateur et CA dans MSIE en utilisant le contrôle Xenroll.

VOIR AUSSI
pkcs7(1)

TRADUCTION
Cette page de manuel a été traduite par arne en 2002 et est maintenue par la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.